# https://sourceforge.net/projects/pyqt/files/sip/sip-4.19.8/sip-4.19.8.tar.gz
%global _sip_api_major 12
%global _sip_api_minor 4
%global _sip_api %{_sip_api_major}.%{_sip_api_minor}

Name:           python-sip
Version:        4.19.13
Release:        %mkrel 1.1
Summary:        SIP - Python/C++ Bindings Generator

License:        GPLv2 or GPLv3 and (GPLv3+ with exceptions)
Group:          Graphical desktop/KDE4
URL:            http://www.riverbankcomputing.co.uk/software/sip/intro
Source0:        sip-%{version}.tar.xz
Patch0:         sip-4.18-no_strip.patch
Patch1:         sip-4.18-no_rpath.patch

BuildRequires:  bzip2-devel
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Provides:       sip-api(%{_sip_api_major}) = %{_sip_api}
%rename         sip

%description
%{summary}.

%package -n python3-sip
Summary:        SIP - Python 3/C++ Bindings Generator
Group:          Graphical desktop/KDE4
Provides:       python3-sip-api(%{_sip_api_major}) = %{_sip_api}

%description -n python3-sip
SIP - Python3/C++ Bindings Generator

%package -n python3-sip-devel
Summary:        Files needed to generate Python 3 bindings for any C++ class library
Group:          Development/Python
Requires:       python-sip = %{version}-%{release}
Requires:       python-devel
Requires:       python3-sip = %{version}-%{release}
Requires:       python3-devel
Provides:       python-sip-devel = %{version}-%{release}
Provides:       sip-macros = %{version}-%{release}
%rename         sip-devel

%description -n python3-sip-devel
Files needed to generate Python 3 bindings for any C++ class library

%prep
%setup -qn sip-%{version}
%apply_patches
cp -a . %{py3dir}

%build
pushd %{py3dir}
%{__python3} configure.py -d %{python3_sitearch} CXXFLAGS="%{optflags}" CFLAGS="%{optflags}" --sipdir=%{_datadir}/python3-sip
%make_build
popd

%{__python2} configure.py -d %{python2_sitearch} CXXFLAGS="%{optflags}" CFLAGS="%{optflags}"
%make_build

%install
pushd %{py3dir}
make install DESTDIR=%{buildroot}
%py_byte_compile %{__python3} %{buildroot}%{python3_sitearch}
mkdir -p %{buildroot}%{_datadir}/python3-sip
mv %{buildroot}%{_bindir}/sip %{buildroot}%{_bindir}/python3-sip
popd

make install DESTDIR=%{buildroot}
%py_byte_compile %{__python2} %{buildroot}%{python_sitearch}
mkdir -p %{buildroot}%{_datadir}/sip

%__install -d %{buildroot}%{_sys_macros_dir}
cat <<EOF >%{buildroot}%{_sys_macros_dir}/sip.macros
%%_sip_api_major %_sip_api_major
%%_sip_api_minor %_sip_api_minor
%%_sip_api %{_sip_api_major}.%{_sip_api_minor}
EOF

%files
%defattr(-,root,root)
%doc NEWS README LICENSE LICENSE-GPL2 LICENSE-GPL3
%{python2_sitearch}/*

%files -n python3-sip
%doc NEWS README LICENSE LICENSE-GPL2 LICENSE-GPL3
%{python3_sitearch}/*

%files -n python3-sip-devel
%{_sys_macros_dir}/sip.macros
%{_bindir}/*sip
%{py2_incdir}/*
%{py3_incdir}/*
%{_datadir}/*sip

%changelog
* Mon Nov 03 2018 adrianomorselli <adrianomorselli> 4.19.13-1.1uplos2018
- rebuild
